---
# Source: kube-prometheus-stack/templates/alertmanager/alertmanager.yaml
apiVersion: monitoring.coreos.com/v1
kind: Alertmanager
metadata:
  name: 20-prometheus-kube-prometh-alertmanager
  namespace: observability
  labels:
    app: kube-prometheus-stack-alertmanager
    
    app.kubernetes.io/managed-by: Helm
    app.kubernetes.io/instance: 20-prometheus
    app.kubernetes.io/version: "34.2.0"
    app.kubernetes.io/part-of: kube-prometheus-stack
    chart: kube-prometheus-stack-34.2.0
    release: "20-prometheus"
    heritage: "Helm"
spec:
  image: "quay.io/prometheus/alertmanager:v0.24.0"
  version: v0.24.0
  replicas: 1
  listenLocal: false
  serviceAccountName: 20-prometheus-kube-prometh-alertmanager
  externalUrl: http://20-prometheus-kube-prometh-alertmanager.observability:9093
  paused: false
  logFormat: "logfmt"
  logLevel:  "info"
  retention: "120h"
  alertmanagerConfigSelector: {}
  alertmanagerConfigNamespaceSelector: {}
  routePrefix: "/"
  securityContext:
    fsGroup: 2000
    runAsGroup: 2000
    runAsNonRoot: true
    runAsUser: 1000
  portName: http-web
